package domain


type AlibabaTclsAelophyBillDailyQueryApiPageResults struct {
    /*
        当前页码     */
    PageIndex  *int64 `json:"page_index,omitempty" `

    /*
        页大小     */
    PageSize  *int64 `json:"page_size,omitempty" `

    /*
        总页数     */
    PageCount  *int64 `json:"page_count,omitempty" `

    /*
        总记录数     */
    Total  *int64 `json:"total,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        错误描述     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        错误码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        业务结果集     */
    Model  *[]AlibabaTclsAelophyBillDailyQueryBillDailyDTO `json:"model,omitempty" `

}

func (s *AlibabaTclsAelophyBillDailyQueryApiPageResults) SetPageIndex(v int64) *AlibabaTclsAelophyBillDailyQueryApiPageResults {
    s.PageIndex = &v
    return s
}
func (s *AlibabaTclsAelophyBillDailyQueryApiPageResults) SetPageSize(v int64) *AlibabaTclsAelophyBillDailyQueryApiPageResults {
    s.PageSize = &v
    return s
}
func (s *AlibabaTclsAelophyBillDailyQueryApiPageResults) SetPageCount(v int64) *AlibabaTclsAelophyBillDailyQueryApiPageResults {
    s.PageCount = &v
    return s
}
func (s *AlibabaTclsAelophyBillDailyQueryApiPageResults) SetTotal(v int64) *AlibabaTclsAelophyBillDailyQueryApiPageResults {
    s.Total = &v
    return s
}
func (s *AlibabaTclsAelophyBillDailyQueryApiPageResults) SetSuccess(v bool) *AlibabaTclsAelophyBillDailyQueryApiPageResults {
    s.Success = &v
    return s
}
func (s *AlibabaTclsAelophyBillDailyQueryApiPageResults) SetErrMsg(v string) *AlibabaTclsAelophyBillDailyQueryApiPageResults {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaTclsAelophyBillDailyQueryApiPageResults) SetErrCode(v string) *AlibabaTclsAelophyBillDailyQueryApiPageResults {
    s.ErrCode = &v
    return s
}
func (s *AlibabaTclsAelophyBillDailyQueryApiPageResults) SetModel(v []AlibabaTclsAelophyBillDailyQueryBillDailyDTO) *AlibabaTclsAelophyBillDailyQueryApiPageResults {
    s.Model = &v
    return s
}
